CUNY Academic Commons - Bug #5188

Not allowed to edit social paper
2016-01-30 12:02 PM - Raffi Khatchadourian

Status: Rejected Start date: 2016-01-30
Priority name: Normal Due date:

Assignee: Raymond Hoh % Done: 0%
Category name: Social Paper Estimated time: 0.00 hour
Target version: 1.9.8

Description

| tried to disable editing for https://commons.gc.cuny.edu/papers/cuny-cat-meeting-notes-1292016/ but | receive the error, "You are
not allowed to edit this item."

History

#1 - 2016-02-01 11:08 AM - Boone Gorges
- Assignee set to Raymond Hoh

- Target version set to 1.9.7

Ray, could you try to reproduce and diagnose, please?

#2 - 2016-02-11 06:09 AM - Raymond Hoh

- Status changed from New to Reporter Feedback

I wasn't able to reproduce Raffi's bug.

| created a private paper, then | reopened the paper and edited it. Next, | toggled the "Enable Editing" button and could not duplicate the error.

Looklng into the source, it looks I|ke the "You are not allowed to edit thls item" notice appears if the AJAX nonce is invalid:

Raffi, did you do anything unique to get this notice to show up? Did you leave the paper open overnight and then resumed editing?

#3 - 2016-02-11 06:09 AM - Raymond Hoh

- Assignee changed from Raymond Hoh to Raffi Khatchadourian

#4 - 2016-02-11 10:48 PM - Boone Gorges

- Target version changed from 1.9.7 to 1.9.8

#5 - 2016-02-19 01:22 PM - Raffi Khatchadourian

- Assignee changed from Raffi Khatchadourian to Raymond Hoh

Sorry guys, this one fell through the cracks. Yes! | believe | was idle for some time, but, | don't know how much time.

#6 - 2016-02-19 02:46 PM - Raymond Hoh

- Status changed from Reporter Feedback to Rejected

Thanks for getting back to me, Raffi. I'm going to close this ticket for now to clear the milestone.

If you are able to duplicate this again, please reopen and let us know how to replicate the issue.
